netsnmp_data_list_s(3)

NAME
netsnmp_data_list_s - used to iterate through lists of data

SYNOPSIS

#include <data_list.h>

  Data Fields
netsnmp_data_list_s * next
char * name
void * data
The pointer to the data passed on.
Netsnmp_Free_List_Data * free_func
must know how to free netsnmp_data_list->data

Detailed Description

used to iterate through lists of data Definition at line 41 of file data_list.h.

Field Documentation

  void* netsnmp_data_list_s::data

The pointer to the data passed on. Definition at line 45 of file data_list.h.

Referenced by netsnmp_create_data_list(), netsnmp_free_list_data(), netsnmp_get_list_data(), netsnmp_save_all_data(), and netsnmp_table_iterator_helper_handler().

  Netsnmp_Free_List_Data* netsnmp_data_list_s::free_func

must know how to free netsnmp_data_list->data Definition at line 47 of file data_list.h.

Referenced by netsnmp_create_data_list(), and netsnmp_free_list_data().

Author

Generated automatically by Doxygen for net-snmp from the source code.